import request from '@/utils/request'

// 查询合作伙伴列表
export function listCooperatePartner(query) {
  return request({
    url: '/hezhi/cooperatePartner/list',
    method: 'get',
    params: query
  })
}

// 查询合作伙伴详细
export function getCooperatePartner(cooperatePartnerId) {
  return request({
    url: '/hezhi/cooperatePartner/' + cooperatePartnerId,
    method: 'get'
  })
}

// 新增合作伙伴
export function addCooperatePartner(data) {
  return request({
    url: '/hezhi/cooperatePartner',
    method: 'post',
    data: data
  })
}

// 修改合作伙伴
export function updateCooperatePartner(data) {
  return request({
    url: '/hezhi/cooperatePartner',
    method: 'put',
    data: data
  })
}

// 删除合作伙伴
export function delCooperatePartner(cooperatePartnerId) {
  return request({
    url: '/hezhi/cooperatePartner/' + cooperatePartnerId,
    method: 'delete'
  })
}
